MyGUI: MyGUI_DelegateImplement.h File Reference

MyGUI 3.2.2

Data Structures | Namespaces | Macros | Functions
MyGUI_DelegateImplement.h File Reference

Go to the source code of this file.

## Data Structures
class | delegates::IDelegateMYGUI_SUFFIX
class | delegates::CStaticDelegateMYGUI_SUFFIX
class | delegates::CMethodDelegateMYGUI_SUFFIX
class | delegates::CDelegateMYGUI_SUFFIX
class | delegates::CMultiDelegateMYGUI_SUFFIX

## Namespaces
| delegates

## Macros
#define | MYGUI_COMBINE(a, b) MYGUI_COMBINE1(a, b)
#define | MYGUI_COMBINE1(a, b) a##b
#define | MYGUI_I_DELEGATE MYGUI_COMBINE(IDelegate, MYGUI_SUFFIX)
#define | MYGUI_C_STATIC_DELEGATE MYGUI_COMBINE(CStaticDelegate, MYGUI_SUFFIX)
#define | MYGUI_C_METHOD_DELEGATE MYGUI_COMBINE(CMethodDelegate, MYGUI_SUFFIX)
#define | MYGUI_C_DELEGATE MYGUI_COMBINE(CDelegate, MYGUI_SUFFIX)
#define | MYGUI_C_MULTI_DELEGATE MYGUI_COMBINE(CMultiDelegate, MYGUI_SUFFIX)

## Functions
MYGUI_TEMPLATE MYGUI_TEMPLATE_PARAMS delegates::IDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS * | newDelegate (void(*_func)(MYGUI_PARAMS))
template MYGUI_T_TEMPLATE_PARAMS delegates::IDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS * | newDelegate (T *_object, void(T::*_method)(MYGUI_PARAMS))

## Macro Definition Documentation

## ◆ MYGUI_C_DELEGATE

#define MYGUI_C_DELEGATE MYGUI_COMBINE(CDelegate, MYGUI_SUFFIX)

Definition at line 18 of file MyGUI_DelegateImplement.h.

## ◆ MYGUI_C_METHOD_DELEGATE

#define MYGUI_C_METHOD_DELEGATE MYGUI_COMBINE(CMethodDelegate, MYGUI_SUFFIX)

Definition at line 16 of file MyGUI_DelegateImplement.h.

## ◆ MYGUI_C_MULTI_DELEGATE

#define MYGUI_C_MULTI_DELEGATE MYGUI_COMBINE(CMultiDelegate, MYGUI_SUFFIX)

Definition at line 19 of file MyGUI_DelegateImplement.h.

## ◆ MYGUI_C_STATIC_DELEGATE

#define MYGUI_C_STATIC_DELEGATE MYGUI_COMBINE(CStaticDelegate, MYGUI_SUFFIX)

Definition at line 15 of file MyGUI_DelegateImplement.h.

## ◆ MYGUI_COMBINE

#define MYGUI_COMBINE | ( |  | a,
|  |  | b
| ) |  | MYGUI_COMBINE1(a, b)

Definition at line 10 of file MyGUI_DelegateImplement.h.

## ◆ MYGUI_COMBINE1

#define MYGUI_COMBINE1 | ( |  | a,
|  |  | b
| ) |  | a##b

Definition at line 11 of file MyGUI_DelegateImplement.h.

## ◆ MYGUI_I_DELEGATE

#define MYGUI_I_DELEGATE MYGUI_COMBINE(IDelegate, MYGUI_SUFFIX)

Definition at line 13 of file MyGUI_DelegateImplement.h.

## Function Documentation

## ◆ newDelegate() [1/2]

template MYGUI_T_TEMPLATE_PARAMS delegates:: IDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS* newDelegate | ( | T * | _object,
|  | void(T::*)(MYGUI_PARAMS) | _method
| ) |  |
| inline

Definition at line 127 of file MyGUI_DelegateImplement.h.

## ◆ newDelegate() [2/2]

MYGUI_TEMPLATE MYGUI_TEMPLATE_PARAMS delegates:: IDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS* newDelegate | ( | void(*)(MYGUI_PARAMS) | _func | ) |
| inline

Examples
  Delegate usage.

Definition at line 117 of file MyGUI_DelegateImplement.h.